import turtle

def nlomena(n, dlzka_strany, uhol):
    """
    Funkcia kresli lomenu ciaru pozostavajucu z useciek rovnakej dlzky
    a rovnakeho uhla medzi useckami.

    n: celociselny pocet useciek
    dlzka_strany: dlzka jednej usecky
    uhol: uhol medzi useckami (v stupnoch)
    """
    for i in range(n):
        turtle.forward(dlzka_strany)
        turtle.left(uhol)

def nuholnik(n, dlzka_strany):
    """
    Funkcia kresli pravidelny n-uholnik.

    n: celociselny pocet uhlov v n-uholniku
    dlzka_strany: velkost strany n-uholnika
    """    
    uhol = 360/n
    nlomena(n, dlzka_strany, uhol)

def obluk(polomer, uhol):
    """
    Funkcia kresli kruznicovy obluk zodpovedajuci zadanemu
    uhlu v kruznici s danym polomerom.

    polomer: polomer kruznice, z ktorej obluk kreslime
    uhol: uhol predstavujuci vysek z kruznice
    """
    obvod_obluka = 2 * 3.1415 * polomer * (uhol/360)
    n = 30
    dlzka_strany = obvod_obluka / n
    uhol_otocenia = uhol / n
    nlomena(n, dlzka_strany, uhol_otocenia)

def kruznica(polomer):
    """
    Funkcia kresli kruznicu so zadanym polomerom.

    polomer: polomer kreslenej kruznice
    """
    obluk(polomer, 360)